%bcond_without check

%global goipath         github.com/reiver/go-oi
Version:                1.0.0

%gometa

%global common_description %{expand:
Package oi provides useful tools to be used with the Go programming language's
standard "io" package.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Tools for the Go programming language's standard io package

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
